### Function

# Nautilus InfoProvider update_complete_invoke

#### Declaration [src]

    void
    nautilus_info_provider_update_complete_invoke (
      GClosure* update_complete,
      NautilusInfoProvider* provider,
      NautilusOperationHandle* handle,
      NautilusOperationResult result
    )

#### Description [src]

Complete an async file info update.

#### Parameters

`update_complete`

  Type: `GClosure`

  The closure to call.

  The data is owned by the caller of the function.

`provider`

  Type: `NautilusInfoProvider`

  An info provider.

  The data is owned by the caller of the function.

`handle`

  Type: `NautilusOperationHandle`

  The handle for the given closure.

  The data is owned by the caller of the function.

`result`

  Type: `NautilusOperationResult`

  Either `NAUTILUS_OPERATION_COMPLETE` or `NAUTILUS_OPERATION_FAILED`.